Subject: bug#52138: 29.0.50; Some tests fail on emba when run with native compilation

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Mar 2022 22:32:57 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> This is a bug-ish.  If dired isn't natively-compiled:
>
> (locate-file "dired" load-path (get-load-suffixes))
> => "/home/larsi/src/emacs/trunk/lisp/dired.elc"
>
> But if it is, then we return the .el file instead:
>
> (locate-file "dired" load-path (get-load-suffixes))
> => "/home/larsi/src/emacs/trunk/lisp/dired.el"
>
> But load-history has:
>
>  ("/home/larsi/src/emacs/emacs-28/lisp/dired.elc"
>
> Which means that we can't find the .elc file by looking into
> load-history based on locate-file.
>
> Returning the .elc file would fix this, but I don't know what other
> repercussions there might be.

I've now done this change (which fixes this test failure), and I don't
see any other regressions, so I've pushed it to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no